Function
setHost
Sets the host of an object.
setHost(object, host)
Include Headers
seqan/sequence.h, seqan/sequence_journaled.h
Parameters

object | The object that will get a new host. Types: Journaled String, Segment
host | The new host. Types: String

Remarks
After this operation, object depends on host.
Note that setting the host can invalidate object. For example, if one changes the host of a Segment object, it is possible that begin- and end-position of the segment does not fit into the new host sequence.
See Also
host
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49